org.apache.velocity.tools.view

## Class UAParser.UAEntity

- java.lang.Object
- - org.apache.velocity.tools.view.UAParser.UAEntity

All Implemented Interfaces:
  Serializable

Enclosing class:
  UAParser

    public static class UAParser.UAEntity
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UAEntity(String n, String maj, String min)`
`UAEntity(String n, String maj, String min, boolean wantsFullVersion)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UAEntity

    public UAEntity(String n,
                    String maj,
                    String min)

#### UAEntity

    public UAEntity(String n,
                    String maj,
                    String min,
                    boolean wantsFullVersion)

### Method Detail

#### getName

    public String getName()

#### getMajorVersion

    public int getMajorVersion()

#### getMinorVersion

    public int getMinorVersion()